Subject: garden travel spots

From: [email-masked] (Robert Underwood)
Date: Mon, 3 Apr 1995 01:26:34 GMT

If y ou ever get to the Northern end of the country in Mid August, be 
sure to stop by the International Peace Garden at the Dunseith, North 
Dakota border crossing.  It is well worth the trip.  
  While in the area, swing by the NDSU-Bottineau campus in Bottineau, 
ND.  They also have excellent floral displays grown and planted by the 
Greenhouse management and Horticulture students under the direction of 
their instructor, Diane Beckman.  Many of lthese students have gone on to 
work in the Peace Garden after graduation.  

Another vfavorite is the Missouri Botanical Garden in St. Louis.

>From the Forests of North Dakota!!

Bob Underwood, Urban Forestry, NDSU-Bottineau